%define majver %(echo %version | cut -d. -f1)
%define minver %(echo %version | cut -d. -f2)

Name:          zip
Version:       3.0
Release:       2mamba
Summary:       A file compression and packaging utility compatible with PKZIP
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://infozip.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/infozip/Zip3.x%28latest%29/%{version}/zip%{majver}%{minver}.tar.gz
Patch0:        zip-3.0-currdir.patch
Patch1:        zip-3.0-exec-shield.patch
Patch2:        zip-3.0-format-security.patch
Patch3:        zip-3.0-zipnote.patch
Patch4:        zip-3.0-buffer_overflow.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
## AUTOBUILDREQ-END

%description
The zip program is a compression and file packaging utility.
Zip is analogous to a combination of the UNIX tar and compress commands and is compatible with PKZIP.
Install the zip package if you need to compress files using the zip program.

%debug_package

%prep
%setup -q -n %{name}%{majver}%{minver}
%patch 0 -p1 -b .currdir
%patch 1 -p1 -b .exec-shield
%patch 2 -p1 -b .format-security
%patch 3 -p1 -b .zipnote
%patch 4 -p1 -b .buffer_overflow

%build
make -f unix/Makefile prefix=%{_prefix} "CFLAGS_NOOPT=-I. -DUNIX %{optflags}" generic_gcc

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
make -f unix/Makefile zips CC=%{_host}-gcc install \
   prefix=%{buildroot}%{_prefix} \
   MANDIR=%{buildroot}%{_mandir}/man1

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/zip
%{_bindir}/zipcloak
%{_bindir}/zipnote
%{_bindir}/zipsplit
%{_mandir}/man1/zip*.*
%doc LICENSE
#BUGS CHANGES README TODO WHATSNEW WHERE

%changelog
* Wed Oct 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-2mamba
- added patches from Fedora

* Thu Jan 14 2010 Davide Madrisan <davide.madrisan@gmail.com> 3.0-1mamba
- update to 3.0

* Mon May 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32-1mamba
- update to 2.32
- group entry fixed

* Mon Nov 08 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.3-2qilnx
- security fix QSA-2004-052 (CAN-2004-1010)
- added qilinux patch, specfiles updated

* Thu Apr 17 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 2.3-1qilnx
- creation of zip package
